#!/bin/bash

DEST=/usr/local/ww_quota_check

if [ ! -d "$DEST" ]
then
    mkdir $DEST || exit 1
fi

echo "Installing into $DEST."

echo "Installing scripts into $DEST."

cp ./*py $DEST/
chmod 700 $DEST/*py

echo "Installing templates into $DEST."
cp -r ./templates $DEST/
find $DEST/templates -name \*xml | xargs chmod 600
find $DEST/ -type d | xargs chmod 700

echo "Installing README into $DEST."
cp ./README $DEST/

echo "Installing driver as /usr/local/sbin/check_quotas."
cp ./check_quotas /usr/local/sbin/check_quotas
chmod 700 /usr/local/sbin/check_quotas

chown -R root.root $DEST/
chmod -R go-rwx $DEST/

echo "Done.  To run, type /usr/local/sbin/check_quotas."
