#!/usr/bin/python2.1

import smtpmail
import string
import template
import admin_information as admins
import configuration

conf = configuration.get_configuration()

class Mail(smtpmail.Mail):
    def __init__(self):
        smtpmail.Mail.__init__(self)
        self.debug = configuration.get_configuration().debug_mode

def mail_admin(admin, contents):
    mail = Mail()
    mail.subject = contents.get_subject()
    mail.body = contents.get_body()
    mail.sender = conf.from_address
    mail.sender_name = conf.from_name
    mail.smtp_host = conf.smtp_host
    mail.to  = admin.email
    mail.to_name  = admin.fullname
    smtpmail.send_mail(mail)

def notify_site_admins(admins):
    file = conf.site_admin_template
    for admin in admins:
        contents = template.get_site_admin_template(admin, file)
        mail_admin(admin, contents)

def notify_resellers(resellers):
    file = conf.reseller_template
    for reseller in resellers:
        contents = template.get_reseller_template(reseller, file)
        mail_admin(reseller, contents)

def mail_user(quota, contents, email, name):
    mail = Mail()
    mail.subject = contents.get_subject()
    mail.body = contents.get_body()
    mail.sender = email
    mail.sender_name = name
    mail.smtp_host = conf.smtp_host
    mail.to  = quota.email
    mail.to_name = quota.fullname
    smtpmail.send_mail(mail)
 
def notify_site_admin(quota, limit):
    contents = template.get_site_template(limit, quota)
    #  Get reseller
    res = admins.get_reseller(quota.admin_id)
    admin = admins.get_site_admin(quota.id)
    quota.fullname = admin.fullname
    quota.first_name = admin.first_name
    quota.last_name = admin.last_name
    quota.email = admin.email
    mail_user(quota, contents, res.email, res.fullname)

def notify_user(quota, limit):
    contents = template.get_user_template(limit, quota)
    admin = admins.get_site_admin(quota.admin_id)
    mail_user(quota, contents, admin.email, admin.fullname)
